options {
	directory "/var/named";
	/*
	 * If there is a firewall between you and nameservers you want
	 * to talk to, you might need to uncomment the query-source
	 * directive below.  Previous versions of BIND always asked
	 * questions using port 53, but BIND 8.1 uses an unprivileged
	 * port by default.
	 */
	// query-source address * port 53;
};

// 
// a caching only nameserver config
// 

zone "." IN {
	type hint;
	file "caching-example/named.ca";
};

zone "localhost" IN {
	type master;
	file "caching-example/localhost.zone";
	allow-update { none; };
};

zone "com" IN {
	type master;
	file "caching-example/com.zone";
	allow-update { none; };
};

zone "cx" IN {
        type master;
        file "caching-example/cx.zone";
        allow-update { none; };
};


zone "edu" IN {
        type master;
        file "caching-example/com.zone";
        allow-update { none; };
};

zone "freewan" {
	type master;
	file "caching-example/freewan.zone";
	allow-update { none; };
};

zone "net" IN {
        type master;
        file "caching-example/com.zone";
        allow-update { none; };
};

zone "org" IN {
        type master;
        file "caching-example/com.zone";
        allow-update { none; };
};

zone "0.0.127.in-addr.arpa" IN {
	type master;
	file "caching-example/named.local";
	allow-update { none; };
};
zone "1.168.192.in-addr.arpa" IN {
	type master;
	file "caching-example/freewan.rev";
	allow-update { none; };
};
